Name:           perl-Digest-CRC
Version:        0.10
Release:        4%{?dist}
Summary:        Generic CRC functions

Group:          Development/Libraries
License:        Public Domain
URL:            http://search.cpan.org/dist/Digest-CRC/
Source0:        http://search.cpan.org/CPAN/authors/id/O/OL/OLIMAUL/Digest-CRC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-CCITT, CRC-16 and CRC-32.


%prep
%setup -qn Digest-CRC-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# remove zero-length files
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes META.yml README t
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Digest
%{_mandir}/man3/*.3*


%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-4
Rebuild for new perl

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.10-3
- Autorebuild for GCC 4.3

* Tue Oct 16 2007 Christopher Stone <chris.stone@gmail.com> 0.10-2
- Remove zero length files.

* Tue Oct 16 2007 Christopher Stone <chris.stone@gmail.com> 0.10-1
- Initial Release.
